
Foreman - Bug #27564

webpack compile for plugins also generates files for vendor package

08/08/2019 11:28 PM - Anonymous

Status: Closed   

Priority: High   

Assignee:    

Category: JavaScript stack   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/4025

  

Description

When building a DEB package of foreman_ansible:

node --max_old_space_size=2048 /usr/share/foreman/node_modules/webpack/bin/webpack.js --config /us

r/share/foreman/config/webpack.config.js --bail --env.pluginName=foreman_ansible

[...]

             foreman_ansible/intl/locale/ca-21c2e6718846ef25789b.js.map    34.9 kB      31  [emitt

ed]         intl/locale/ca

            foreman_ansible/foreman_ansible-037bd611d93047fc37f4.js.map     1.1 MB      32  [emitt

ed]         foreman_ansible

           foreman_ansible/foreman_ansible-037bd611d93047fc37f4.css.map  133 bytes      32  [emitt

ed]         foreman_ansible

                     foreman_ansible/bundle-5e2d83a5638034012011.js.map     887 kB      33  [emitt

ed]         bundle

                    foreman_ansible/bundle-5e2d83a5638034012011.css.map  124 bytes      33  [emitt

ed]         bundle

                     foreman_ansible/vendor-3136655871aada2a0b93.js.map     460 kB      34  [emitt

ed]         vendor

   foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.css.map     103 kB          [emitt

ed]         

       foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.css    89.1 kB          [emitt

ed]         

        foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.js    5.32 MB          [emitt

ed]  [big]  

    foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.js.map      16 MB          [emitt

ed]         

           foreman_ansible/react-intl/locale/sv-f8d5a88a254db9374bb1.js    2.86 kB       1  [emitt

ed]         react-intl/locale/sv

        foreman_ansible/react-intl/locale/zh-85c7671c903a0f57f298.js.gz  880 bytes          [emitt

ed]         

        foreman_ansible/react-intl/locale/sv-f8d5a88a254db9374bb1.js.gz  790 bytes          [emitt

ed]         

[...]

          foreman_ansible/intl/locale/cs-cfd90d61b75befcee527.js.map.gz    5.36 kB          [emitt

ed]         

          foreman_ansible/intl/locale/de-b68d64ca46363cee2dac.js.map.gz    5.46 kB          [emitt

ed]         

                                       foreman_ansible/manifest.json.gz    1.08 kB          [emitt

ed]         

                      foreman_ansible/vendor-3136655871aada2a0b93.js.gz    29.1 kB          [emitt

ed]         

foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.css.map.gz    19.2 kB          [emitt

ed]         

    foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.css.gz    17.7 kB          [emitt

ed]         

             foreman_ansible/foreman_ansible-037bd611d93047fc37f4.js.gz     100 kB          [emitt
ed]         

                      foreman_ansible/bundle-5e2d83a5638034012011.js.gz    86.5 kB          [emitt

ed]         

                  foreman_ansible/vendor-3136655871aada2a0b93.js.map.gz     107 kB          [emitt

ed]         

                  foreman_ansible/bundle-5e2d83a5638034012011.js.map.gz     225 kB          [emitt

ed]         

         foreman_ansible/foreman_ansible-037bd611d93047fc37f4.js.map.gz     265 kB          [emitt

ed]  [big]  

     foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.js.gz    1.53 MB          [emitt

ed]  [big]  

 foreman-vendor.bundle-v0.1.1-production-708c93425c541812ff58.js.map.gz    3.78 MB          [emitt

ed]  [big]

[...]

 Because we're putting the whole webpack folder into the resulting DEB package, this is now broken on install:

Preparing to unpack .../8-ruby-foreman-ansible_3.0.6-1_all.deb ...

Unpacking ruby-foreman-ansible (3.0.6-1) over (3.0.3-1) ...

dpkg: error processing archive /tmp/apt-dpkg-install-zSUTeZ/8-ruby-foreman-ansible_3.0.6-1_all.deb

 (--unpack):

 trying to overwrite '/var/lib/foreman/public/webpack/foreman-vendor.bundle-v0.1.1-production-708c

93425c541812ff58.css', which is also in package foreman 9999-bionic+scratchbuild+20190807120255

dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Errors were encountered while processing:

 /tmp/apt-dpkg-install-zSUTeZ/8-ruby-foreman-ansible_3.0.6-1_all.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

 It would be super nice, if these could get excluded in the webpack config on plugin compiles.

Associated revisions

Revision 05c71143 - 08/20/2019 06:45 PM - Michael Moll 

Fixes #27564 - Copy only plugin webpack assets

History

#1 - 08/20/2019 06:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/4025 added

#2 - 08/20/2019 07:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset rpms:foreman-packaging|05c71143798603ee01063e2b948387cd812c29d5.

#3 - 09/09/2019 01:28 PM - Tomer Brisker

- Fixed in Releases 1.23.0 added
